Skip to main content

Backfill Warranty Registrations from Orders

POST 

/api/repairs/registrations/backfill

Backfill Warranty Registrations from Orders.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • policy_id (optional): integer, exists:warranty_policies,id
  • shipped_from (required): date_format:Y-m-d
  • shipped_to (required): date_format:Y-m-d, after_or_equal:shipped_from

Permission: repairs.manage_settings. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type